package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability2770/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaRetailMarketingBuygiftActivitySkuDeleteRequest struct {
	/*
	   删除买赠活动商品参数     */
	Param *domain.AlibabaRetailMarketingBuygiftActivitySkuDeleteBuyGiftActivitySkuOperateRequest `json:"param" required:"true" `
}

func (s *AlibabaRetailMarketingBuygiftActivitySkuDeleteRequest) SetParam(v domain.AlibabaRetailMarketingBuygiftActivitySkuDeleteBuyGiftActivitySkuOperateRequest) *AlibabaRetailMarketingBuygiftActivitySkuDeleteRequest {
	s.Param = &v
	return s
}

func (req *AlibabaRetailMarketingBuygiftActivitySkuDeleteRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaRetailMarketingBuygiftActivitySkuDeleteRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
